Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/numix-themes: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 8 Jun 2015 22:47:55 +0000

Numix is a modern flat theme with a combination of light and dark elements.
It supports Gnome, Unity, XFCE and Openbox:

https://github.com/shimmerproject/Numix

** has Unity removed **
---
 testing/numix-themes/APKBUILD                      | 71 ++++++++++++++++++++++
 .../commits-to-070515-since-2.2.5.patch            | 62 +++++++++++++++++++
 2 files changed, 133 insertions(+)
 create mode 100644 testing/numix-themes/APKBUILD
 create mode 100644 testing/numix-themes/commits-to-070515-since-2.2.5.patch
diff --git a/testing/numix-themes/APKBUILD b/testing/numix-themes/APKBUILD
new file mode 100644
index 0000000..a5815ba
--- /dev/null
+++ b/testing/numix-themes/APKBUILD
_at_@ -0,0 +1,71 @@
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=numix-themes
+pkgver=2.5.1
+pkgrel=0
+pkgdesc="A modern flat theme with a combination of light and dark elements, GTK 2 and 3"
+url="http://shimmerproject.org/project/Numix/"
+arch="noarch"
+license="GPLv3"
+makedepends="$depends_dev"
+subpackages="$pkgname-gtk2 $pkgname-gtk3 $pkgname-metacity $pkgname-xfwm4 $pkgname-xfce4-notifyd:_notify
+		$pkgname-openbox:_openbox"
+source="numix-$pkgver.tar.gz::https://github.com/shimmerproject/Numix/archive/v$pkgver.tar.gz
+	commits-to-070515-since-2.2.5.patch
+	"
+
+_builddir="$srcdir"/Numix-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	# Remove Unity theme
+	rm -f gtk-3.0/apps/unity.css
+	sed -i '/unity\.css/d' gtk-3.0/gtk.css
+	rm -rf unity
+}
+
+package() {
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/share/themes/Numix
+	cp -pr * "$pkgdir"/usr/share/themes/Numix
+}
+
+_mv() {
+	pkgdesc="$1"
+	install_if="$pkgname=$pkgver-r$pkgrel $2";
+	depends=
+	local _i
+	shift; shift
+	mkdir -p "$subpkgdir"/usr/share/themes/Numix
+	for _i; do
+		msg "moving $_i"
+		mv "$pkgdir"/usr/share/themes/Numix/$_i  \
+			"$subpkgdir"/usr/share/themes/Numix || return 1
+	done
+}
+
+gtk2() {
+	_mv "Numix GTK2 themes" gtk2.0 gtk-2.0
+	depends="gtk-murrine-engine"
+}
+
+gtk3() { _mv "Numix GTK3 themes" gtk3.0 gtk-3.0; }
+metacity() { _mv "Numix Metacity themes" metacity metacity-1; }
+xfwm4() { _mv "Numix Xfce4 themes" xfwm4 xfwm4; }
+_notify() { _mv "Numix Xfce4-notifyd themes" xfce4-notifyd xfce-notify-4.0; }
+_openbox() { _mv "Numix openbox themes" openbox openbox-3; }
+
+md5sums="4468cb3f2fe0d01e823df7c310778787  numix-2.5.1.tar.gz
+274751ea1ef473c6233d045c403b3f19  commits-to-070515-since-2.2.5.patch"
+sha256sums="64b0c34c49633879c8b0b9b685da7b927501ab6db265db15fed04705c04f935b  numix-2.5.1.tar.gz
+30bc14240299ef02e01c237dbe037fda5a835f4825a811b636df5671cc0c01bf  commits-to-070515-since-2.2.5.patch"
+sha512sums="69741cc87bfa4aa54567014c1f4edf4c67cf76c2db5f15158a6473357ec557f8486c7961874c28dfdf6ae41c2253bf469d5d6301d9b235135a020068aecaa513  numix-2.5.1.tar.gz
+f5edca62767cb94f70c3d71a78b63bc5d399e3686eaadb9282e44dde6c6b81c52e94266b25f9e156e1c980f9f7cb01f6c670c0f5a4fe38605a1528e7bb7c716f  commits-to-070515-since-2.2.5.patch"
diff --git a/testing/numix-themes/commits-to-070515-since-2.2.5.patch b/testing/numix-themes/commits-to-070515-since-2.2.5.patch
new file mode 100644
index 0000000..ba9e8e8
--- /dev/null
+++ b/testing/numix-themes/commits-to-070515-since-2.2.5.patch
_at_@ -0,0 +1,62 @@
+diff -urp Numix-2.5.1/gtk-2.0/gtkrc Numix/gtk-2.0/gtkrc
+--- Numix-2.5.1/gtk-2.0/gtkrc	2015-01-20 11:12:18.000000000 +0000
++++ Numix/gtk-2.0/gtkrc	2015-06-08 22:07:01.651081310 +0000
+_at_@ -494,6 +494,7 @@ widget "*gimmie*" style "bold-panel-item
+ # XFCE Styles
+ 
+ style "workspace-switcher" = "murrine-panel" {
++	bg[ACTIVE] = _at_selected_bg_color
+ 	bg[SELECTED] = _at_selected_bg_color
+ }
+ 
+_at_@ -575,7 +576,7 @@ style "xfsm-logout-button" {
+ 	}
+ }
+ 
+-widget "*WnckPager*" style "workspace-switcher"
++widget "*Pager*" style "workspace-switcher"
+ 
+ widget "*Xfce*Panel*" style "murrine-panel"
+ class "*Xfce*Panel*" style "murrine-panel"
+diff -urp Numix-2.5.1/gtk-3.0/apps/lightdm-gtk-greeter.css Numix/gtk-3.0/apps/lightdm-gtk-greeter.css
+--- Numix-2.5.1/gtk-3.0/apps/lightdm-gtk-greeter.css	2015-01-20 11:12:18.000000000 +0000
++++ Numix/gtk-3.0/apps/lightdm-gtk-greeter.css	2015-06-08 22:07:01.655081309 +0000
+_at_@ -1,3 +1,10 @@
++/***********
++ * general *
++ ***********/
++#screen.lightdm-gtk-greeter {
++    background: transparent;
++}
++
+ /*********
+  * panel *
+  *********/
+_at_@ -28,7 +35,9 @@
+ }
+ 
+ #panel_window .menubar > .menuitem *:hover {
+-    color: white;
++    background-color: _at_theme_selected_bg_color;
++    background-image: none;
++    color: _at_theme_selected_fg_color;
+ }
+ 
+ #panel_window .menubar > .menuitem:insensitive {
+_at_@ -180,6 +189,7 @@
+ /******************************
+  * default and focused button *
+  ******************************/
++#login_window #login_button,
+ #login_window .button.default,
+ #shutdown_dialog .button.default,
+ #restart_dialog .button.default,
+_at_@ -246,5 +256,7 @@
+  * password warning *
+  ********************/
+ #greeter_infobar {
++    background-color: _at_warning_bg_color;
++    color: _at_warning_fg_color;
+     font: bold;
+ }
+
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jun 08 2015 - 22:47:55 GMT